=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin/quantum

override_dh_installinit:
	dh_installinit
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start --name=neutron-ovs-cleanup

override_dh_auto_clean:
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch quantum configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-quantum-configuration.patch
	# Set a reasonable level of concurrency
	testr init && ./run_tests.sh -N -P
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-quantum-configuration.patch
endif
