## neutron 2014.1.3

=== requirements.txt ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 Paste
 PasteDeploy>=1.5.0
-Routes>=1.12.3
-amqplib>=0.6.1
+Routes>=1.12.3,!=2.0
 anyjson>=0.3.3
 argparse
 Babel>=1.3
@@ -17,11 +16,11 @@
 kombu>=2.4.8
 netaddr>=0.7.6
 python-neutronclient>=2.3.4,<3
-SQLAlchemy>=0.7.8,<=0.9.99
+SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
 WebOb>=1.2.3
 python-keystoneclient>=0.7.0
 alembic>=0.4.1
-six>=1.5.2
+six>=1.6.0
 stevedore>=0.14
 oslo.config>=1.2.0
 oslo.rootwrap
