=== debian/changelog ===
neutron (2014.1.3-11) unstable; urgency=medium

  * Use separate debconf variables for the metadata server (Closes: #774788).
  * Rebuilding with openstack-pkg-tools (>= 22~) to make sure daemons are
    started automatically at first install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 14:16:37 +0000

neutron (2014.1.3-10) unstable; urgency=medium

  * Sets neutron/configure_db default value to false (Closes: #774792).

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jan 2015 00:05:56 +0100

neutron (2014.1.3-9) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 21~) to ensure we have the sysv-rc
    fixes.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Jan 2015 21:39:14 +0000

neutron (2014.1.3-8) unstable; urgency=medium

  * Only use dbconfig-common and change the connection directive if the user
    asked for it (Closes: #770944).
  * Build-depends on openstack-pkg-tools (>= 20~) to ensure we have the systemd
    fixes.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Dec 2014 20:38:09 +0800

neutron (2014.1.3-7) unstable; urgency=high

  * Add a patch to not use PROTOCOL_SSLv3 which is gone from Python in Sid.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 10:37:07 +0000

neutron (2014.1.3-6) unstable; urgency=high

  * CVE-2014-7821: DoS through invalid DNS configuration. Applied upstream
    patch: Fix hostname regex pattern (Closes: #770431).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Nov 2014 16:25:18 +0800

neutron (2014.1.3-5) unstable; urgency=medium

  * Adds Danish debconf translations thanks to Joe Dalton <joedalton2@yahoo.dk>
    (Closes: #765845).
  * Adds Dutch debconf translations thanks to Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #766207).

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Oct 2014 08:06:45 +0000

neutron (2014.1.3-4) unstable; urgency=medium

  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Oct 2014 05:06:30 +0000

neutron (2014.1.3-3) unstable; urgency=medium

  * Re-added .upstart.in file for neutron-server and OVS agent.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Oct 2014 19:06:52 +0800

neutron (2014.1.3-2) unstable; urgency=medium

  * Mangling upstream rc and beta versions in watch file.
  * Using templated init, upstart and systemd scripts from
    openstack-pkg-tools >= 13.
  * Removed all debian/*.logrotate, using only one in the -common package.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Oct 2014 14:41:16 +0800

neutron (2014.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Oct 2014 20:18:48 +0800

neutron (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.
  * New minimal version for python-six is 1.6.0.
  * Removed patch applied upstream:
    - CVE-2014-3555_Denial_of_Service_allowed_address_pair.patch
  * Refreshed patch:
    - 0001-Add-parameter-and-iptables-rules-to-protect-dnsmasq-.patch

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 Aug 2014 00:22:47 +0800

neutron (2014.1.1-3) unstable; urgency=high

  * CVE-2014-3555: Denial of Service in Neutron allowed address pair. Applied
    upstream patch (Closes: #755134).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Jul 2014 10:33:05 +0800

neutron (2014.1.1-2) unstable; urgency=medium

  * Disabled ml2 config patch.
  * Fixed unix rights of /var/lib/neutron in the metadata-agent postinst
    (Closes: #751524).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jun 2014 20:53:20 +0800
