=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               openstack-pkg-tools (>= 22~),
               po-debconf,
               python-all (>= 2.6),
               python-pbr (>= 0.6),
               python-sphinx
Build-Depends-Indep: alembic (>= 0.4.1),
                     bridge-utils,
                     pep8 (>= 1.3.3),
                     python-amqplib,
                     python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-cliff (>= 1.4.5),
                     python-configobj,
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-gflags,
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.8.0),
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jinja2,
                     python-jsonrpclib,
                     python-keystoneclient (>= 1:0.6.0),
                     python-kombu (>= 2.4.8),
                     python-lxml,
                     python-mock (>= 1.0),
                     python-netaddr (>= 0.7.6),
                     python-netifaces,
                     python-neutronclient (>= 2.3.4),
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.17.0),
                     python-oslo.config (>= 1.2.1),
                     python-oslo.rootwrap,
                     python-paste,
                     python-pastedeploy,
                     python-pyudev,
                     python-requests (>= 1.1),
                     python-routes,
                     python-setuptools,
                     python-simplejson,
                     python-six (>= 1.6.0),
                     python-sqlalchemy,
                     python-stevedore (>= 0.14),
                     python-subunit (>= 0.0.18),
                     python-testrepository (>= 0.0.13),
                     python-testtools (>= 0.9.34),
                     python-unittest2,
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0.9),
                     subunit,
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/neutron.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: python-quantum (<< 2013.2~),
          quantum-common (<< 2013),
          quantum-dhcp-agent (<< 2013),
          quantum-l3-agent (<< 2013),
          quantum-plugin-cisco (<< 2013),
          quantum-plugin-linuxbridge (<< 2013),
          quantum-plugin-linuxbridge-agent (<< 2013),
          quantum-plugin-metaplugin (<< 2013),
          quantum-plugin-nec (<< 2013),
          quantum-plugin-nec-agent (<< 2013),
          quantum-plugin-nicira (<< 2013),
          quantum-plugin-openvswitch (<< 2013),
          quantum-plugin-openvswitch-agent (<< 2013),
          quantum-plugin-ryu (<< 2013),
          quantum-plugin-ryu-agent (<< 2013)
Breaks: python-quantum (<< 2013.2~),
        quantum-common (<< 2013),
        quantum-dhcp-agent (<< 2013),
        quantum-l3-agent (<< 2013),
        quantum-plugin-cisco (<< 2013),
        quantum-plugin-linuxbridge (<< 2013),
        quantum-plugin-linuxbridge-agent (<< 2013),
        quantum-plugin-metaplugin (<< 2013),
        quantum-plugin-nec (<< 2013),
        quantum-plugin-nec-agent (<< 2013),
        quantum-plugin-nicira (<< 2013),
        quantum-plugin-openvswitch (<< 2013),
        quantum-plugin-openvswitch-agent (<< 2013),
        quantum-plugin-ryu (<< 2013),
        quantum-plugin-ryu-agent (<< 2013)
Depends: alembic (>= 0.4.1),
         python-amqplib,
         python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-configobj,
         python-eventlet (>= 0.13.0),
         python-gflags,
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jinja2,
         python-jsonrpclib,
         python-keystoneclient (>= 1:0.6.0),
         python-kombu (>= 2.4.8),
         python-lxml,
         python-migrate,
         python-netaddr (>= 0.7.6),
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 2:2.17.0),
         python-oslo.config (>= 1.2.1),
         python-oslo.rootwrap,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.6),
         python-pyudev,
         python-requests (>= 1.1),
         python-routes,
         python-simplejson,
         python-six (>= 1.6.0),
         python-sqlalchemy,
         python-stevedore (>= 0.14),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-server (<< 2013.2~)
Replaces: quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-cliff,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy,
         ${misc:Depends},
         ${python:Depends}
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
          quantum-plugin,
          quantum-plugin-bigswitch,
          quantum-plugin-brocade,
          quantum-plugin-cisco,
          quantum-plugin-hyperv,
          quantum-plugin-linuxbridge,
          quantum-plugin-metaplugin,
          quantum-plugin-nec,
          quantum-plugin-nicira,
          quantum-plugin-openvswitch,
          quantum-plugin-plumgrid,
          quantum-plugin-ryu
Breaks: quantum-plugin-linuxbridge-agent (<< 2013.2~),
        quantum-plugin-openvswitch-agent (<< 2013.2~),
        quantum-server (<< 2013.2~)
Replaces: quantum-plugin-linuxbridge-agent (<< 2013.2~),
          quantum-plugin-openvswitch-agent (<< 2013.2~),
          quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent (<< 2013.2~)
Replaces: quantum-plugin-nec-agent (<< 2013.2~)
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         iputils-arping,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: openvswitch-switch
Conflicts: neutron-vpn-agent
Breaks: quantum-l3-agent (<< 2013.2~)
Replaces: quantum-l3-agent (<< 2013.2~)
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dnsmasq-base,
         dnsmasq-utils,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-dhcp-agent (<< 2013.2~)
Replaces: quantum-dhcp-agent (<< 2013.2~)
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: quantum-metadata-agent (<< 2013.2~)
Replaces: quantum-metadata-agent (<< 2013.2~)
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: neutron-plugin-metering-agent
Breaks: quantum-server (<< 2013.2~)
Replaces: quantum-server (<< 2013.2~)
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
