## neutron 2014.1.5

=== requirements.txt ===
pbr>=0.6,<1.0

Paste
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0
anyjson>=0.3.3,<=0.3.3
argparse
Babel>=1.3,<=1.3
eventlet>=0.13.0,<0.16.0
greenlet>=0.3.2,<=0.4.5
httplib2>=0.7.5,<=0.9
requests>=1.1,<=2.6.0
iso8601>=0.1.9,<=0.1.10
jsonrpclib
Jinja2<=2.7.3
kombu>=2.5.0,<=3.0.7
netaddr>=0.7.6,<=0.7.14
python-neutronclient>=2.3.4,<2.3.11
SQLAlchemy>=0.7.8,!=0.9.5,<=0.9.99
WebOb>=1.2.3,<=1.4
python-keystoneclient>=0.7.0,<0.12.0
alembic>=0.4.1,<=0.7.5.post2
six>=1.6.0,<=1.9.0
stevedore>=0.14
oslo.config>=1.2.0,<1.5
oslo.rootwrap<1.4

python-novaclient>=2.17.0,<2.21
