=== debian/changelog ===
neutron (1:2014.1.5-0ubuntu8) trusty; urgency=medium

    * d/p/update_dhcp_host_portbinding_on_failover.patch: Update dhcp
      host portbinding on failover.(LP: #1411163)

 -- Hui Xiang <hui.xiang@canonical.com>  Fri, 25 Nov 2016 15:59:33 +0800

neutron (1:2014.1.5-0ubuntu7) trusty; urgency=medium

  * agent/linux/ip_lib.py does not correctly handle output from 'iproute2'
    command. (LP: #1374663):
    - d/p/neutron-ns-iface-enum.patch: Searches /sys/class/net for the correct
      interface name instead of scraping iproute2 output.

 -- Shane Peters (Shaner) <shane.peters@canonical.com>  Thu, 03 Nov 2016 16:53:31 -0400

neutron (1:2014.1.5-0ubuntu6) trusty; urgency=medium

  * iptables_manager can run very slowly when a large number of security group
    rules are present (LP: #1453264)
    - d/p/use-dictionary-for-iptables-find.patch: Use a dictionary for looking
      up iptables rules rather than an iterator.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 29 Aug 2016 15:06:06 -0700

neutron (1:2014.1.5-0ubuntu5) trusty; urgency=medium

  * Backport performance fix by refactoring logging statements. (LP: #1414218):
    - d/p/refactor-log-in-loop.patch: do not perform debug trace with each
      iteration through the loop of ports, instead log it once at the end.

 -- Billy Olsen <billy.olsen@canonical.com>  Tue, 05 Jul 2016 15:07:28 -0700

neutron (1:2014.1.5-0ubuntu4) trusty; urgency=medium

  * neutron-openvswitch-agent stuck on 'q-agent-notifier-port-update_fanout-x'
    is NOT_FOUND exception, this bug caused RabbitMQ HA(active + active) failover
    in Icehouse not work with large scaled nova compute nodes. (LP: #1393391):
    - d/p/fix-neutron-agent-fanout-queue-not-found-loop.patch

 -- Hui Xiang <hui.xiang@canonical.com>  Mon, 25 Jan 2016 15:25:13 +0800

neutron (1:2014.1.5-0ubuntu3) trusty; urgency=medium

  [ Corey Bryant ]
  * d/p/make_del_fdb_flow_idempotent.patch: Cherry pick from Juno
    to prevent KeyError on duplicate port removal in del_fdb_flow()
    (LP: #1531963).
  * d/tests/*-plugin: Fix race between service restart and pidof test.

  [ James Page ]
  * d/p/ovs-restart.patch: Ensure that tunnels are fully reset on ovs
    restart (LP: #1460164).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Feb 2016 14:52:04 -0500

neutron (1:2014.1.5-0ubuntu2) trusty; urgency=medium

  * Backport upstream proposed fix (LP: #1318721):
    - d/p/fix-reconnect-race-condition-with-rabbitmq-cluster.patch:
      Redeclare if exception is catched after self.queue.declare() failed.

 -- Hui Xiang <hui.xiang@canonical.com>  Thu, 17 Dec 2015 16:35:40 +0800

neutron (1:2014.1.5-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (877df58) (LP: #1467533):
    - [cae7108] Fix enable_snat column migration for Postgres + SQLite
    - [61571b4] Persist DHCP leases to a local database
    - [fba8d9b] Process port IP requests before subnet requests
    - [43fe809] Don't resync on DHCP agent setup failure
    - [91cc867] Deal with PEP-0476 certificate chaining checking
    - [877df58] Ignore http_proxy while connecting to test WSGI server

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 22 Jun 2015 10:14:52 -0400

neutron (1:2014.1.4-0ubuntu3) trusty; urgency=medium

  *  d/*.logrotate,neutron-common.logrotate: Backport from vivid,
     Move to single logrotate configuration. (LP: #1463844).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 10 Jun 2015 11:09:20 -0300

neutron (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Mar 2015 09:14:07 -0400

neutron (1:2014.1.4-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (036ef73) (LP: #1432608):
    - [4cdbefc] Eventlet green threads not released back to pool
    - [c3a88a5] Pass '--dhcp-authoritative' option to dnsmasq
    - [e390b13] Fix Metering doesn't respect the l3 agent binding
    - [4076e7c] Fix a race condition adding a security group rule
    - [c9cb001] Reset policies after RESOURCE_ATTRIBUTE_MAP is populated
    - [acb3728] Race for l2pop when ports go up/down on same host
    - [ed3d4ef] NSX: sync thread catches wrong exceptions on not found
    - [088b755] Notifier: Catch NotFound error from nova
    - [9501271] Fix enable_metadata_network flag
    - [d39349c] Fix hostname validation for nameservers
    - [56fcf7d] Convert all incoming protocol numbers to string
    - [0d599c6] BSN: Set inconsistency record on delete failure
    - [ffa6294] Stop ignoring 400 errors returned by ODL
    - [b9ade57] Delete disassociated floating ips on external network deletion
    - [ab7ea06] Fix hostname regex pattern
    - [f4c9c94] Cisco: update_port should only invoke n1kv and not nexus plugin
    - [90e8419] Optimize query in _select_dhcp_ips_for_network_ids
    - [70fb843] fix event_send for re-assign floating ip
    - [ae811df] Enabled Cisco ML2 driver to use new upstream ncclient
    - [39736e8] allow delete_port to work when there are multiple floating ips
    - [506bd94] Set vif_details to reflect enable_security_group
    - [5243217] Revert "Deletes floating ip related connection states"
    - [e34ba30] Big Switch: Fix SSL version on get_server_cert
    - [52727b7] NSX: allow multiple networks with same vlan on different phy_net
    - [be67d6d] Fix a recent ipv6 UT regression
    - [0e4f526] Check for IPv6 file before reading
    - [84d6d1b] Big Switch: Switch to TLSv1 in server manager
    - [dd8f2b6] Remove unused py33 tox env
    - [7a1b7bf] Big Switch: Don't clear hash before sync
    - [553fbce] Cisco N1kv: Remove vmnetwork delete REST call on last port delete
    - [965fb17] Skip lbaas table creation if tables already exist
    - [7f13cbc] Delete DHCP port without DHCP server on a net node
    - [534bfbc] Raise exception for network delete with subnets presents
    - [d3ccaa7] update vsm credential correctly

