=== debian/control ===
--- 
+++ 
@@ -5,51 +5,49 @@
 XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
 Build-Depends-Indep:
- alembic (>= 0.4.1),
- python-amqplib (>= 0.6.1),
+ alembic (>= 0.6.4),
  python-anyjson (>= 0.3.3),
- python-babel,
- python-cliff (>= 1.4),
- python-configobj,
+ python-babel (>= 1.3),
+ python-cliff (>= 1.6.0),
  python-coverage,
- python-d2to1,
  python-eventlet (>= 0.13.0),
- python-fixtures (>= 0.3.12),
+ python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
- python-httplib2,
- python-iso8601,
+ python-hacking (>= 0.9.2),
+ python-httplib2 (>= 0.7.5),
+ python-iso8601 (>= 0.1.9),
  python-jinja2,
  python-jsonrpclib,
- python-keystoneclient (>= 1:0.2.0),
- python-kombu (>= 2.5.12),
- python-lxml,
- python-mock (>= 1.0b1),
- python-mox,
- python-netaddr,
- python-neutronclient (>= 1:2.2.3),
- python-novaclient (>= 2.12.0),
- python-oslo.config (>= 1:1.2.0a3),
+ python-keystoneclient (>= 1:0.10.0),
+ python-keystonemiddleware (>= 1.0.0),
+ python-mock (>= 1.0),
+ python-netaddr (>= 0.7.12),
+ python-neutronclient (>= 1:2.3.6),
+ python-novaclient (>= 1:2.18.0),
+ python-oslo.config (>= 1:1.4.0.0~a3),
+ python-oslo.db (>= 0.4.0),
+ python-oslo.messaging (>= 1.4.0.0~a3),
+ python-oslo.rootwrap (>= 1.3.0.0~a1),
  python-paste,
  python-pastedeploy,
- python-pbr (>= 0.5.21),
- python-psutil (>= 0.6.1),
- python-pyudev,
- python-requests (>= 1.1),
- python-routes,
+ python-pbr (>= 0.6),
+ python-requests (>= 1.2.1),
+ python-requests-mock,
+ python-routes (>= 1.12.3),
  python-setuptools,
  python-simplejson,
- python-six (>= 1.5.2),
- python-sqlalchemy,
- python-stevedore (>= 0.10),
- python-testtools (>= 0.9.32),
- python-webob,
- python-webtest,
+ python-six (>= 1.7.0),
+ python-sqlalchemy (>= 0.8.4),
+ python-stevedore (>= 0.14),
+ python-testtools (>= 0.9.34),
+ python-webob (>= 1.2.3),
+ python-webtest (>= 2.0),
  subunit,
- testrepository ( >= 0.0.17)
+ testrepository ( >= 0.0.18)
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/icehouse/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/icehouse
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/juno/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/juno
 XS-Testsuite: autopkgtest
 
 Package: neutron-server
@@ -79,6 +77,7 @@
 Architecture: all
 Depends:
  adduser,
+ ipset,
  python-neutron (= ${source:Version}),
  ${misc:Depends},
  ${python:Depends}
@@ -309,5 +308,3 @@
 Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Description: Neutron is a virtual network service for Openstack - VMware plugin
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically
