=== debian/tests/control ===
--- 
+++ 
@@ -3,4 +3,4 @@
  linuxbridge-plugin ryu-plugin midonet-plugin
 Depends: neutron-server, neutron-l3-agent, neutron-dhcp-agent, neutron-metadata-agent,
  neutron-lbaas-agent, python-neutron, rabbitmq-server
-Restrictions: needs-root
+Restrictions: needs-root allow-stderr
